org.eclnt.jsfserver.elements.componentnodes

## Class SIMPLELABELNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SIMPLELABELNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SIMPLELABELNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SIMPLELABELNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SIMPLELABELNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindActionListener(IActionListenerDelegation value)`
    `SIMPLELABELNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindAlign(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindBackground(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindBorder(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindClientname(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindClientvaluereference(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindColspan(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindComment(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindCountry(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindCutwidth(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindDragsend(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindDropshape(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindFocusable(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindFont(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindForeground(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindFormat(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindFormatmask(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindHeight(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindImage(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindInvokeevent(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindIswindowmover(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindLanguage(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindLinewrap(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindPopupimage(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindPopuptextonclick(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindRounding(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindShadow(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindText(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindTimezone(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindUsenonbreakables(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindUserhint(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindUserhinttrigger(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindValign(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindWidth(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindX(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `bindY(IDynamicContentBindingObject value)`
    `SIMPLELABELNode` | `setAccessiblename(java.lang.String value)`
    `SIMPLELABELNode` | `setActionListener(java.lang.String value)`
    `SIMPLELABELNode` | `setAdapterbinding(java.lang.String value)`
    `SIMPLELABELNode` | `setAlign(java.lang.String value)`
    `SIMPLELABELNode` | `setAnimatechangeofsize(boolean value)`
    `SIMPLELABELNode` | `setAnimatechangeofsize(java.lang.String value)`
    `SIMPLELABELNode` | `setAttributemacro(java.lang.String value)`
    `SIMPLELABELNode` | `setBackground(java.lang.String value)`
    `SIMPLELABELNode` | `setBgpaint(java.lang.String value)`
    `SIMPLELABELNode` | `setBorder(java.lang.String value)`
    `SIMPLELABELNode` | `setClientname(java.lang.String value)`
    `SIMPLELABELNode` | `setClientvaluereference(java.lang.String value)`
    `SIMPLELABELNode` | `setColspan(int value)`
    `SIMPLELABELNode` | `setColspan(java.lang.String value)`
    `SIMPLELABELNode` | `setComment(java.lang.String value)`
    `SIMPLELABELNode` | `setConfiginfo(java.lang.String value)`
    `SIMPLELABELNode` | `setCountry(java.lang.String value)`
    `SIMPLELABELNode` | `setCutwidth(boolean value)`
    `SIMPLELABELNode` | `setCutwidth(java.lang.String value)`
    `SIMPLELABELNode` | `setDragroundtrip(boolean value)`
    `SIMPLELABELNode` | `setDragroundtrip(java.lang.String value)`
    `SIMPLELABELNode` | `setDragsend(java.lang.String value)`
    `SIMPLELABELNode` | `setDroprastertext(java.lang.String value)`
    `SIMPLELABELNode` | `setDropreceive(java.lang.String value)`
    `SIMPLELABELNode` | `setDropshape(java.lang.String value)`
    `SIMPLELABELNode` | `setFocusable(boolean value)`
    `SIMPLELABELNode` | `setFocusable(java.lang.String value)`
    `SIMPLELABELNode` | `setFocusdrawborder(boolean value)`
    `SIMPLELABELNode` | `setFocusdrawborder(java.lang.String value)`
    `SIMPLELABELNode` | `setFont(java.lang.String value)`
    `SIMPLELABELNode` | `setForeground(java.lang.String value)`
    `SIMPLELABELNode` | `setFormat(java.lang.String value)`
    `SIMPLELABELNode` | `setFormatmask(java.lang.String value)`
    `SIMPLELABELNode` | `setFxstyleseq(java.lang.String value)`
    `SIMPLELABELNode` | `setHeight(int value)`
    `SIMPLELABELNode` | `setHeight(java.lang.String value)`
    `SIMPLELABELNode` | `setHelpid(java.lang.String value)`
    `SIMPLELABELNode` | `setId(java.lang.String value)`
    `SIMPLELABELNode` | `setImage(java.lang.String value)`
    `SIMPLELABELNode` | `setInvokeevent(java.lang.String value)`
    `SIMPLELABELNode` | `setIswindowmover(boolean value)`
    `SIMPLELABELNode` | `setIswindowmover(java.lang.String value)`
    `SIMPLELABELNode` | `setLanguage(java.lang.String value)`
    `SIMPLELABELNode` | `setLinewrap(boolean value)`
    `SIMPLELABELNode` | `setLinewrap(java.lang.String value)`
    `SIMPLELABELNode` | `setPopupimage(java.lang.String value)`
    `SIMPLELABELNode` | `setPopupmenu(java.lang.String value)`
    `SIMPLELABELNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `SIMPLELABELNode` | `setPopuptextonclick(boolean value)`
    `SIMPLELABELNode` | `setPopuptextonclick(java.lang.String value)`
    `SIMPLELABELNode` | `setReference(java.lang.String value)`
    `SIMPLELABELNode` | `setRendered(boolean value)`
    `SIMPLELABELNode` | `setRendered(java.lang.String value)`
    `SIMPLELABELNode` | `setRounding(int value)`
    `SIMPLELABELNode` | `setRounding(java.lang.String value)`
    `SIMPLELABELNode` | `setRowalignmenty(java.lang.String value)`
    `SIMPLELABELNode` | `setShadow(java.lang.String value)`
    `SIMPLELABELNode` | `setStyleseq(java.lang.String value)`
    `SIMPLELABELNode` | `setStylevariant(java.lang.String value)`
    `SIMPLELABELNode` | `setText(java.lang.String value)`
    `SIMPLELABELNode` | `setTimezone(java.lang.String value)`
    `SIMPLELABELNode` | `setTooltip(java.lang.String value)`
    `SIMPLELABELNode` | `setUsenonbreakables(boolean value)`
    `SIMPLELABELNode` | `setUsenonbreakables(java.lang.String value)`
    `SIMPLELABELNode` | `setUserhint(java.lang.String value)`
    `SIMPLELABELNode` | `setUserhinttrigger(java.lang.String value)`
    `SIMPLELABELNode` | `setValign(java.lang.String value)`
    `SIMPLELABELNode` | `setWidth(int value)`
    `SIMPLELABELNode` | `setWidth(java.lang.String value)`
    `SIMPLELABELNode` | `setX(int value)`
    `SIMPLELABELNode` | `setX(java.lang.String value)`
    `SIMPLELABELNode` | `setY(int value)`
    `SIMPLELABELNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SIMPLELABELNode

          public SIMPLELABELNode()

  - ### Method Detail

    - #### setId

          public SIMPLELABELNode setId(java.lang.String value)

    - #### setAccessiblename

          public SIMPLELABELNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public SIMPLELABELNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public SIMPLELABELNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public SIMPLELABELNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public SIMPLELABELNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public SIMPLELABELNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAlign

          public SIMPLELABELNode setAlign(java.lang.String value)

    - #### bindAlign

          public SIMPLELABELNode bindAlign(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SIMPLELABELNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public SIMPLELABELNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SIMPLELABELNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public SIMPLELABELNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public SIMPLELABELNode setBackground(java.lang.String value)

    - #### bindBackground

          public SIMPLELABELNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public SIMPLELABELNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public SIMPLELABELNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public SIMPLELABELNode setBorder(java.lang.String value)

    - #### bindBorder

          public SIMPLELABELNode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public SIMPLELABELNode setClientname(java.lang.String value)

    - #### bindClientname

          public SIMPLELABELNode bindClientname(IDynamicContentBindingObject value)

    - #### setClientvaluereference

          public SIMPLELABELNode setClientvaluereference(java.lang.String value)

    - #### bindClientvaluereference

          public SIMPLELABELNode bindClientvaluereference(IDynamicContentBindingObject value)

    - #### setColspan

          public SIMPLELABELNode setColspan(java.lang.String value)

    - #### bindColspan

          public SIMPLELABELNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public SIMPLELABELNode setColspan(int value)

    - #### setComment

          public SIMPLELABELNode setComment(java.lang.String value)

    - #### bindComment

          public SIMPLELABELNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SIMPLELABELNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SIMPLELABELNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCountry

          public SIMPLELABELNode setCountry(java.lang.String value)

    - #### bindCountry

          public SIMPLELABELNode bindCountry(IDynamicContentBindingObject value)

    - #### setCutwidth

          public SIMPLELABELNode setCutwidth(java.lang.String value)

    - #### bindCutwidth

          public SIMPLELABELNode bindCutwidth(IDynamicContentBindingObject value)

    - #### setCutwidth

          public SIMPLELABELNode setCutwidth(boolean value)

    - #### setDragroundtrip

          public SIMPLELABELNode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public SIMPLELABELNode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public SIMPLELABELNode setDragroundtrip(boolean value)

    - #### setDragsend

          public SIMPLELABELNode setDragsend(java.lang.String value)

    - #### bindDragsend

          public SIMPLELABELNode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public SIMPLELABELNode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public SIMPLELABELNode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public SIMPLELABELNode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public SIMPLELABELNode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public SIMPLELABELNode setDropshape(java.lang.String value)

    - #### bindDropshape

          public SIMPLELABELNode bindDropshape(IDynamicContentBindingObject value)

    - #### setFocusable

          public SIMPLELABELNode setFocusable(java.lang.String value)

    - #### bindFocusable

          public SIMPLELABELNode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public SIMPLELABELNode setFocusable(boolean value)

    - #### setFocusdrawborder

          public SIMPLELABELNode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public SIMPLELABELNode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public SIMPLELABELNode setFocusdrawborder(boolean value)

    - #### setFont

          public SIMPLELABELNode setFont(java.lang.String value)

    - #### bindFont

          public SIMPLELABELNode bindFont(IDynamicContentBindingObject value)

    - #### setForeground

          public SIMPLELABELNode setForeground(java.lang.String value)

    - #### bindForeground

          public SIMPLELABELNode bindForeground(IDynamicContentBindingObject value)

    - #### setFormat

          public SIMPLELABELNode setFormat(java.lang.String value)

    - #### bindFormat

          public SIMPLELABELNode bindFormat(IDynamicContentBindingObject value)

    - #### setFormatmask

          public SIMPLELABELNode setFormatmask(java.lang.String value)

    - #### bindFormatmask

          public SIMPLELABELNode bindFormatmask(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public SIMPLELABELNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public SIMPLELABELNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public SIMPLELABELNode setHeight(java.lang.String value)

    - #### bindHeight

          public SIMPLELABELNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public SIMPLELABELNode setHeight(int value)

    - #### setHelpid

          public SIMPLELABELNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public SIMPLELABELNode bindHelpid(IDynamicContentBindingObject value)

    - #### setImage

          public SIMPLELABELNode setImage(java.lang.String value)

    - #### bindImage

          public SIMPLELABELNode bindImage(IDynamicContentBindingObject value)

    - #### setInvokeevent

          public SIMPLELABELNode setInvokeevent(java.lang.String value)

    - #### bindInvokeevent

          public SIMPLELABELNode bindInvokeevent(IDynamicContentBindingObject value)

    - #### setIswindowmover

          public SIMPLELABELNode setIswindowmover(java.lang.String value)

    - #### bindIswindowmover

          public SIMPLELABELNode bindIswindowmover(IDynamicContentBindingObject value)

    - #### setIswindowmover

          public SIMPLELABELNode setIswindowmover(boolean value)

    - #### setLanguage

          public SIMPLELABELNode setLanguage(java.lang.String value)

    - #### bindLanguage

          public SIMPLELABELNode bindLanguage(IDynamicContentBindingObject value)

    - #### setLinewrap

          public SIMPLELABELNode setLinewrap(java.lang.String value)

    - #### bindLinewrap

          public SIMPLELABELNode bindLinewrap(IDynamicContentBindingObject value)

    - #### setLinewrap

          public SIMPLELABELNode setLinewrap(boolean value)

    - #### setPopupimage

          public SIMPLELABELNode setPopupimage(java.lang.String value)

    - #### bindPopupimage

          public SIMPLELABELNode bindPopupimage(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public SIMPLELABELNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public SIMPLELABELNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public SIMPLELABELNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public SIMPLELABELNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setPopuptextonclick

          public SIMPLELABELNode setPopuptextonclick(java.lang.String value)

    - #### bindPopuptextonclick

          public SIMPLELABELNode bindPopuptextonclick(IDynamicContentBindingObject value)

    - #### setPopuptextonclick

          public SIMPLELABELNode setPopuptextonclick(boolean value)

    - #### setReference

          public SIMPLELABELNode setReference(java.lang.String value)

    - #### setRendered

          public SIMPLELABELNode setRendered(java.lang.String value)

    - #### bindRendered

          public SIMPLELABELNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SIMPLELABELNode setRendered(boolean value)

    - #### setRounding

          public SIMPLELABELNode setRounding(java.lang.String value)

    - #### bindRounding

          public SIMPLELABELNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public SIMPLELABELNode setRounding(int value)

    - #### setRowalignmenty

          public SIMPLELABELNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public SIMPLELABELNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public SIMPLELABELNode setShadow(java.lang.String value)

    - #### bindShadow

          public SIMPLELABELNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public SIMPLELABELNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public SIMPLELABELNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SIMPLELABELNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SIMPLELABELNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public SIMPLELABELNode setText(java.lang.String value)

    - #### bindText

          public SIMPLELABELNode bindText(IDynamicContentBindingObject value)

    - #### setTimezone

          public SIMPLELABELNode setTimezone(java.lang.String value)

    - #### bindTimezone

          public SIMPLELABELNode bindTimezone(IDynamicContentBindingObject value)

    - #### setTooltip

          public SIMPLELABELNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public SIMPLELABELNode bindTooltip(IDynamicContentBindingObject value)

    - #### setUsenonbreakables

          public SIMPLELABELNode setUsenonbreakables(java.lang.String value)

    - #### bindUsenonbreakables

          public SIMPLELABELNode bindUsenonbreakables(IDynamicContentBindingObject value)

    - #### setUsenonbreakables

          public SIMPLELABELNode setUsenonbreakables(boolean value)

    - #### setUserhint

          public SIMPLELABELNode setUserhint(java.lang.String value)

    - #### bindUserhint

          public SIMPLELABELNode bindUserhint(IDynamicContentBindingObject value)

    - #### setUserhinttrigger

          public SIMPLELABELNode setUserhinttrigger(java.lang.String value)

    - #### bindUserhinttrigger

          public SIMPLELABELNode bindUserhinttrigger(IDynamicContentBindingObject value)

    - #### setValign

          public SIMPLELABELNode setValign(java.lang.String value)

    - #### bindValign

          public SIMPLELABELNode bindValign(IDynamicContentBindingObject value)

    - #### setWidth

          public SIMPLELABELNode setWidth(java.lang.String value)

    - #### bindWidth

          public SIMPLELABELNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public SIMPLELABELNode setWidth(int value)

    - #### setX

          public SIMPLELABELNode setX(java.lang.String value)

    - #### bindX

          public SIMPLELABELNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public SIMPLELABELNode setX(int value)

    - #### setY

          public SIMPLELABELNode setY(java.lang.String value)

    - #### bindY

          public SIMPLELABELNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public SIMPLELABELNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.